Tryton - Issues

 

Issue6030

Title Update to drone 0.8
Priority feature Status resolved
Superseder Add support for test database cache without postgresql client
View: 6699
Nosy List ced, reviewbot, roundup-bot
Type feature request Components
Assigned To ced Keywords review
Reviews 31711002, 36521002, 37611002
View: 31711002, 36521002, 37611002

Created on 2016-11-12.01:26:18 by ced, last changed by ced.

Messages
msg35341 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-08-19.12:31:46
All repositories have been migrated.
New changeset c8ef0bff21f3 by Cédric Krier in branch 'default':
Move allow bower root to shell script to fix unmarshal error
http://hg.tryton.org/sao/rev/c8ef0bff21f3
New changeset 4fae94d4b5c9 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/sao/rev/4fae94d4b5c9
New changeset b7977b0782a4 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/proteus/rev/b7977b0782a4
New changeset d3455cdca952 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/web_user/rev/d3455cdca952
New changeset 401d42a801d2 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/timesheet_cost/rev/401d42a801d2
New changeset 9708a4e8ad35 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/timesheet/rev/9708a4e8ad35
New changeset 461cfb276a66 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/stock_supply_production/rev/461cfb276a66
New changeset b876a1d47ded by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/stock_supply_forecast/rev/b876a1d47ded
New changeset c36e6634dc16 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/stock_supply_day/rev/c36e6634dc16
New changeset acf30b43cb60 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/stock_supply/rev/acf30b43cb60
New changeset 49c259db2cec by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/stock_split/rev/49c259db2cec
New changeset 926d9a65919f by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/stock_shipment_measurements/rev/926d9a65919f
New changeset dfb2a8e504e5 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/stock_product_location/rev/dfb2a8e504e5
New changeset fa9df392e672 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/stock_package_shipping_ups/rev/fa9df392e672
New changeset 3e1e406eb88a by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/stock_package_shipping_dpd/rev/3e1e406eb88a
New changeset 18358433e3c0 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/stock_package_shipping/rev/18358433e3c0
New changeset f47253a7a3f6 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/stock_package/rev/f47253a7a3f6
New changeset fa057dbb439a by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/stock_lot_sled/rev/fa057dbb439a
New changeset 5f391577471e by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/stock_lot/rev/5f391577471e
New changeset b65919a43e26 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/stock_location_sequence/rev/b65919a43e26
New changeset 87b7d3733b80 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/stock_inventory_location/rev/87b7d3733b80
New changeset badb79b0adac by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/stock_forecast/rev/badb79b0adac
New changeset 7a4c57ed7a31 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/stock_consignment/rev/7a4c57ed7a31
New changeset e55e6ad5f020 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/stock/rev/e55e6ad5f020
New changeset 62ab62da9215 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/sale_supply_drop_shipment/rev/62ab62da9215
New changeset eb722c03f2a1 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/sale_supply/rev/eb722c03f2a1
New changeset b5265bd8db0c by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/sale_subscription/rev/b5265bd8db0c
New changeset 862f6fecf4b2 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/sale_stock_quantity/rev/862f6fecf4b2
New changeset 1d4a0359588d by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/sale_shipment_grouping/rev/1d4a0359588d
New changeset 0bc1e53f591a by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/sale_shipment_cost/rev/0bc1e53f591a
New changeset 56857c149d06 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/sale_promotion/rev/56857c149d06
New changeset 0c35d6290e97 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/sale_price_list/rev/0c35d6290e97
New changeset 20e68987a518 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/sale_opportunity/rev/20e68987a518
New changeset c32a169e3655 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/sale_invoice_grouping/rev/c32a169e3655
New changeset 331864075c5c by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/sale_extra/rev/331864075c5c
New changeset 468ddf276120 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/sale_credit_limit/rev/468ddf276120
New changeset 559ce19e0532 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/sale_complaint/rev/559ce19e0532
New changeset 7cc8eb4b95da by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/sale_advance_payment/rev/7cc8eb4b95da
New changeset a222c8f1508c by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/sale/rev/a222c8f1508c
New changeset 42f1a73b9605 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/purchase_shipment_cost/rev/42f1a73b9605
New changeset eccb31048764 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/purchase_requisition/rev/eccb31048764
New changeset 3c3232162d12 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/purchase_request/rev/3c3232162d12
New changeset 046e9394561e by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/purchase_invoice_line_standalone/rev/046e9394561e
New changeset 51416fae127b by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/purchase/rev/51416fae127b
New changeset 8e8c5201d9c0 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/project_revenue/rev/8e8c5201d9c0
New changeset 9d9d199ec853 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/project_plan/rev/9d9d199ec853
New changeset ef127ecfdef2 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/project_invoice/rev/ef127ecfdef2
New changeset a4f397177f98 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/project/rev/a4f397177f98
New changeset 20b4c2300921 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/production_work_timesheet/rev/20b4c2300921
New changeset 8dba0fa0dbdb by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/production_work/rev/8dba0fa0dbdb
New changeset d3a9285605da by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/production_split/rev/d3a9285605da
New changeset 76567d6053a6 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/production_routing/rev/76567d6053a6
New changeset 10749c796f9b by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/production/rev/10749c796f9b
New changeset 720d91b6ecb4 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/product_price_list_dates/rev/720d91b6ecb4
New changeset 767df1370095 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/product_price_list/rev/767df1370095
New changeset 6b383e82e277 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/product_measurements/rev/6b383e82e277
New changeset 46a2ea52cae6 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/product_cost_history/rev/46a2ea52cae6
New changeset 53dd68464d51 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/product_cost_fifo/rev/53dd68464d51
New changeset 3fc9645ef00e by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/product_classification_taxonomic/rev/3fc9645ef00e
New changeset 7ad48ae41d41 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/product_classification/rev/7ad48ae41d41
New changeset 48bc861eceda by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/product_attribute/rev/48bc861eceda
New changeset b7a50444dcba by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/product/rev/b7a50444dcba
New changeset 9fd560114ad1 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/party_siret/rev/9fd560114ad1
New changeset d668c70c9fa0 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/party_relationship/rev/d668c70c9fa0
New changeset 17731488844b by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/party/rev/17731488844b
New changeset 16b4034dc507 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/notification_email/rev/16b4034dc507
New changeset 16ebeb096c00 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/ldap_authentication/rev/16ebeb096c00
New changeset 34f5c3e36f7c by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/google_maps/rev/34f5c3e36f7c
New changeset 42e26d192d56 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/dashboard/rev/42e26d192d56
New changeset 3cf7102a7e83 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/customs/rev/3cf7102a7e83
New changeset f56252a3571c by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/currency/rev/f56252a3571c
New changeset d4ec9ba391e7 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/country/rev/d4ec9ba391e7
New changeset ad135fe49540 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/company_work_time/rev/ad135fe49540
New changeset 75329c544ee0 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/company/rev/75329c544ee0
New changeset 3581f26421b9 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/commission_waiting/rev/3581f26421b9
New changeset f5b6123390a8 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/commission/rev/f5b6123390a8
New changeset 710080b53589 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/carrier_weight/rev/710080b53589
New changeset a7558db19940 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/carrier_percentage/rev/a7558db19940
New changeset 9b8371b31329 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/carrier/rev/9b8371b31329
New changeset 0b7085f45421 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/bank/rev/0b7085f45421
New changeset f1081d67c6c4 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/authentication_sms/rev/f1081d67c6c4
New changeset 1de9d9162980 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/analytic_sale/rev/1de9d9162980
New changeset 08ef7d6fa1d2 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/analytic_purchase/rev/08ef7d6fa1d2
New changeset 703af186e424 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/analytic_invoice/rev/703af186e424
New changeset 1c9a7763544c by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/analytic_account/rev/1c9a7763544c
New changeset 1a33263cf88f by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_tax_rule_country/rev/1a33263cf88f
New changeset 9b88ecc0f0db by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_stock_landed_cost_weight/rev/9b88ecc0f0db
New changeset 40ade5fa8411 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_stock_landed_cost/rev/40ade5fa8411
New changeset 241733788179 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_stock_continental/rev/241733788179
New changeset 7da747359d54 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_stock_anglo_saxon/rev/7da747359d54
New changeset 7a0f662cc2ac by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_statement/rev/7a0f662cc2ac
New changeset 623cb557170b by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_product/rev/623cb557170b
New changeset 16f37dcdba92 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_payment_stripe/rev/16f37dcdba92
New changeset 305083aee58f by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_payment_sepa_cfonb/rev/305083aee58f
New changeset eaffef9fb756 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_payment_sepa/rev/eaffef9fb756
New changeset 68839e4551b5 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_payment_clearing/rev/68839e4551b5
New changeset b1e3ae9b9d38 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_payment/rev/b1e3ae9b9d38
New changeset b2cce6c9f2ce by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_invoice_stock/rev/b2cce6c9f2ce
New changeset b6288ea70b42 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_invoice_line_standalone/rev/b6288ea70b42
New changeset 22b271d48b20 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_invoice_history/rev/22b271d48b20
New changeset 147cb518ea7a by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_invoice_correction/rev/147cb518ea7a
New changeset 185172dda712 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_invoice/rev/185172dda712
New changeset c6ccfdd41594 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_fr/rev/c6ccfdd41594
New changeset b8920dc31227 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_dunning_letter/rev/b8920dc31227
New changeset adb580f299d9 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_dunning_fee/rev/adb580f299d9
New changeset 26720a126932 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_dunning/rev/26720a126932
New changeset c2a6316d8251 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_deposit/rev/c2a6316d8251
New changeset e783a329df17 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_de_skr03/rev/e783a329df17
New changeset 220900bdad04 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_credit_limit/rev/220900bdad04
New changeset cb972fbaa435 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_be/rev/cb972fbaa435
New changeset 4b3cfa79b23a by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account_asset/rev/4b3cfa79b23a
New changeset 4dcb3fdc83e9 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account/rev/4dcb3fdc83e9
New changeset 4dcb3fdc83e9 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account/rev/4dcb3fdc83e9
New changeset 4dcb3fdc83e9 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account/rev/4dcb3fdc83e9
New changeset 4dcb3fdc83e9 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/modules/account/rev/4dcb3fdc83e9
msg35158 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-08-15.19:28:40
trytond has been updated with a first successful build: https://drone.tryton.org/tryton/trytond/1
I also updated cookiecutter.

I will now progressively switch all modules to the new version of drone because it requires manual operation on hgrc to make old branches to point to the old drone.
New changeset 6163b93c822a by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/cookiecutter/rev/6163b93c822a
New changeset 179436cea3f2 by Cédric Krier in branch 'default':
Update to drone 0.8
http://hg.tryton.org/trytond/rev/179436cea3f2
review37611002 updated at https://codereview.tryton.org/37611002/#ps80001
review37611002 updated at https://codereview.tryton.org/37611002/#ps60001
msg35151 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-08-15.00:18:19
I have activated new drone on python-sql, I found that the cache is filled with the wheel of the tested package.
This is because tox create a sdist of the tested package and install it with pip so the wheel is cached by pip.
The only option to avoid this cache pollution is to set skipsdist in tox but we will then loose the testing that sdist contains everything (which happens from time to time).
So I think it is not a big deal to have this cache pollution because for tryton modules we already use the repository version. So it is just for external packages like relatorio, python-sql and they should any way always be working (and releasable).
review37611002 updated at https://codereview.tryton.org/37611002/#ps40001
msg35149 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-08-14.14:53:25
WIP:

  - I have updated typod branch of drone to support new docker API: http://git.tryton.org/?p=drone.git;a=shortlog;h=refs/heads/trypod
  - I have migrated the docker instance to use 'overlay2' (for performance reason, device-mapper was really to slow (and failed on parallel build) and aufs is kind of deprecated)
msg35148 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-08-14.01:52:48
WIP:

  - repositories use drone-old.tryton.org now by default
  - local mercurial proxy uses a valid certificate (copies from moretus)
  - other cache is supported with volumes see last review37611002
  - docker has been updated to last version on tycho
  - old docker images have been restored

Problems: the old drone does not work with the new docker. So I will try to setup an old one inside a docker.
New changeset 9b1c2434e64b by Cédric Krier in branch 'default':
Support drone 0.8
http://hg.tryton.org/trypod/rev/9b1c2434e64b
review37611002 updated at https://codereview.tryton.org/37611002/#ps20001
msg35037 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-08-07.01:54:14
WIP:

 - trypod runs as hg user with just access to SELECT on _user table of roundup
 - drone.tryton.org is run by a reverse proxy nginx (to allow dispatch base on hostname) (rem: got some issue with websocket rule, go websocket required the hostname)
 - ngnix server also cache for: hg.tryton.org and pypi.tryton.org

The pending issues for drone 0.8 are:

 - support cache: http://discourse.drone.io/t/drone-caching-options-help-to-create-a-list/65
   but I'm not 100% sure to depend on external plugin as drone change often its API.
 - set proxy environment specific to the setup. In drone 0.3, we could set variable in repository setup. It is no more possible and I guess it is because build can be run on another host.
New review37611002 at https://codereview.tryton.org/37611002/#ps1
review36521002 updated at https://codereview.tryton.org/36521002/#ps1
msg35033 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-08-06.13:57:17
We are now at 0.8
I have created a trypod-0.8 branch at https://github.com/cedk/drone/tree/trypod-0.8
I have a pull request to reactivate the support of mercurial in drone at https://github.com/drone-plugins/drone-hg/pull/11
review36521002 adds the support to trypod.
review37611002 updates trytond to drone 0.8 with this choices:

 - Use official python images
 - Use matrix build for python version and database (with a fake database image for sqlite).
 - Rename tox envlist to match the docker python image
 - Use database copy from issue6699

I tested it locally and it works pretty well.
I will start the administrative task to prepare the support of two drone instances.
msg33248 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-04-17.02:02:18
Let switch directly to 0.5 as API has again changed but seems to become stable now.
New changeset 53341750c957 by C?dric Krier in branch 'default':
Allow configure url and token per branch
http://hg.tryton.org/trypod/rev/53341750c957
New review31711002 at https://codereview.tryton.org/31711002/#ps1
msg30286 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-11-12.01:28:21
Here is review31711002 which is a first step. It add support for different url/token per branch.
msg30285 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-11-12.01:26:18
Here is a plan to update our drone instance from 0.3 to 0.4.
There are many changes in drone which makes it incompatible. The .drone.yml must be rewrote. So we need to provide a smooth transition for all repositories. We can provide that by running two instances of drone on the testing server on different ports.
History
Date User Action Args
2017-08-19 12:31:52cedsetstatus: chatting -> resolved
2017-08-19 12:31:46cedsetstatus: resolved -> chatting
messages: + msg35341
2017-08-19 12:26:58roundup-botsetmessages: + msg35340
2017-08-19 12:19:13roundup-botsetmessages: + msg35339
2017-08-19 12:00:42roundup-botsetmessages: + msg35338
2017-08-19 11:57:08roundup-botsetmessages: + msg35337
2017-08-19 11:56:06roundup-botsetmessages: + msg35336
2017-08-19 11:55:12roundup-botsetmessages: + msg35335
2017-08-19 11:54:10roundup-botsetmessages: + msg35334
2017-08-19 11:53:06roundup-botsetmessages: + msg35333

Showing 10 items. Show all history (warning: this could be VERY long)